package siprp.medicina.locais_analise;

import java.util.Date;

import com.evolute.utils.data.IDObject;

public final class LocaisAnaliseLogic
{
	private static final Object LOCK = new Object();
	private static LocaisAnaliseLogic instance;
	
	private final LocaisAnaliseDataProvider provider;
	
	private LocaisAnaliseLogic()
		throws Exception
	{
		provider = LocaisAnaliseDataProvider.getProvider();
	}
	
	public static LocaisAnaliseLogic getInstance()
		throws Exception
	{
		synchronized( LOCK )
		{
			if( instance == null )
			{
				instance = new LocaisAnaliseLogic();
			}
		}
		return instance;
	}
	
	protected IDObject[] getGruposEcdsByMarcacoes( Integer marcacoesIds[] )
		throws Exception
	{
		return provider.getGruposEcdsByMarcacoes( marcacoesIds );
	}
	
	protected void savePrestadorEGruposData( Date data, Integer prestadorId, Integer gruposIds[] )
		throws Exception
	{
		provider.savePrestadorEGruposData( data, prestadorId, gruposIds );
	}
	
	protected Object[] getDataPrestadorEGruposByData( Date data )
		throws Exception
	{
		return provider.getDataPrestadorEGruposByData( data );
	}
}
